## 死亡
execute as @a[tag=!death] store result score @s rotation_x run data get entity @s Rotation[0]
execute as @a[tag=!death] store result score @s rotation_y run data get entity @s Rotation[1]
execute as @a[scores={death=1}] at @s run function ingame:death/death

## 銃
execute as @a[scores={coas=1,reload=0},nbt={SelectedItem:{components:{"minecraft:custom_data":{gun:1}}}}] at @s run function ingame:gun/shot
execute as @a[scores={coas=1,reload=0},nbt={SelectedItem:{components:{"minecraft:custom_data":{gun:2}}}}] at @s run playsound empty master @s ~ ~ ~ 1.0 1
execute as @a[nbt={Inventory:[{Slot:-106b,components:{"minecraft:custom_data":{gun:2}}},{components:{"minecraft:custom_data":{ammo:1}}}]}] run function ingame:gun/reload
scoreboard players remove @a[scores={reload=1..}] reload 1
execute as @a[tag=reload,scores={reload=0}] at @s run function ingame:gun/reload_give

## アイテム
# 回転
execute as @e[type=armor_stand,tag=item] at @s run tp @s ~ ~ ~ ~-3 ~
# ダイヤモンド
execute store result score diamond count if entity @e[type=armor_stand,tag=diamond]
execute as @e[type=armor_stand,tag=diamond] at @s if block ~ ~-1 ~ calcite run function start:respread
execute as @e[type=armor_stand,tag=diamond] at @s if block ~ ~-2 ~ calcite run function start:respread
execute as @e[type=armor_stand,tag=diamond] at @s if block ~ ~-1 ~ #system:diamond_fall run tp @s ~ ~-1 ~
execute as @a[gamemode=adventure,team=player] at @s if entity @e[type=armor_stand,tag=diamond,distance=..1.5,sort=nearest,limit=1] run function ingame:item/game_item {item:diamond,tag:diamond}
scoreboard players add @e[type=armor_stand,tag=diamond] diamond 1
execute as @a[scores={diamond=2400}] at @s run function ingame:diamond/respread
# 棒
execute if score mode system matches 1 store result score stick count if entity @e[type=armor_stand,tag=stick]
execute if score mode system matches 1 as @e[type=armor_stand,tag=stick] at @s if block ~ ~-1 ~ calcite run function start:respread
execute if score mode system matches 1 as @e[type=armor_stand,tag=stick] at @s if block ~ ~-2 ~ calcite run function start:respread
execute if score mode system matches 1 as @a[gamemode=adventure,team=player] at @s if entity @e[type=armor_stand,tag=stick,distance=..1.5,sort=nearest,limit=1] run function ingame:item/game_item {item:stick,tag:stick}
# 丸石
execute if score mode system matches 1 store result score cobble count if entity @e[type=armor_stand,tag=cobble]
execute if score mode system matches 1 as @e[type=armor_stand,tag=cobble] at @s if block ~ ~-1 ~ calcite run function start:respread
execute if score mode system matches 1 as @e[type=armor_stand,tag=cobble] at @s if block ~ ~-2 ~ calcite run function start:respread
execute if score mode system matches 1 as @a[gamemode=adventure,team=player] at @s if entity @e[type=armor_stand,tag=cobble,distance=..1.5,sort=nearest,limit=1] run function ingame:item/game_item {item:cobblestone,tag:cobble}
# 銃
execute as @a[gamemode=adventure,team=player,tag=white] at @s if entity @e[type=armor_stand,tag=gun,tag=gun1,distance=..1.5,sort=nearest,limit=1] run function ingame:item/gun {num:1}
execute as @a[gamemode=adventure,team=player,tag=white] at @s if entity @e[type=armor_stand,tag=gun,tag=gun2,distance=..1.5,sort=nearest,limit=1] run function ingame:item/gun {num:2}
# 空のボトル
execute as @a[gamemode=adventure,team=player] at @s if entity @e[type=armor_stand,tag=gun,tag=empty_bottle,distance=..1.5,sort=nearest,limit=1] run function ingame:item/key_item {id:white_candle,item:empty_bottle,name:"空の錆落としの缶"}
# 錆びた鍵
execute as @a[gamemode=adventure,team=player] at @s if entity @e[type=armor_stand,tag=gun,tag=rust_key,distance=..1.5,sort=nearest,limit=1] run function ingame:item/key_item {id:tripwire_hook,item:rust_key,name:"錆びた鍵"}
# 詰め替え
execute as @a[gamemode=adventure,team=player] at @s if entity @e[type=armor_stand,tag=gun,tag=charger,distance=..1.5,sort=nearest,limit=1] run function ingame:item/key_item {id:blaze_rod,item:charger,name:"錆落とし(詰め替え用)"}
# 錆落とし
execute as @a[gamemode=adventure,team=player] at @s if entity @e[type=armor_stand,tag=gun,tag=rust_remover,distance=..1.5,sort=nearest,limit=1] run function ingame:item/key_item {id:white_candle,item:rust_remover,name:"錆落とし"}
# 鍵
execute as @a[gamemode=adventure,team=player] at @s if entity @e[type=armor_stand,tag=gun,tag=gate_key,distance=..1.5,sort=nearest,limit=1] run function ingame:item/key_item {id:tripwire_hook,item:gate_key,name:"鍵"}

## クラフト
# 錆落とし作成
execute positioned 633 -40 -57 if entity @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{empty_bottle:1}}}},distance=..1] if entity @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{charger:1}}}},distance=..1] as @a[limit=1,sort=nearest,gamemode=adventure] at @s run function ingame:item/craft {id:white_candle,item:rust_remover,name:"錆落とし",data1:empty_bottle,data2:charger}
# 鍵作成
execute positioned 655 -41 33 if entity @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{rust_key:1}}}},distance=..1] if entity @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{rust_remover:1}}}},distance=..1] as @a[limit=1,sort=nearest,gamemode=adventure] at @s run function ingame:item/craft {id:tripwire_hook,item:gate_key,name:"鍵",data1:rust_key,data2:rust_remover}

#街の入り口の鍵設置
execute positioned 626 -41 -21 as @a[distance=..5,advancements={system:interaction_right=true}] run function ingame:gate/lever
execute if block 626 -41 -21 lever[powered=true] run function ingame:gate/open

## 祈り
execute positioned 760 -42 -26 if score game system matches 1 if score mode system matches 1 run tag @a[distance=..1,tag=white,tag=!prayer] add inori
execute positioned 760 -42 -26 run tag @a[distance=1..] remove inori
scoreboard players reset @a[tag=!inori] sneak
execute as @a[scores={sneak=300}] at @s run function ingame:church/prayer
execute as @a[tag=prayer,nbt={Inventory:[{components:{"minecraft:custom_data":{item:1b,amethyst:1b}}}]}] at @s run function ingame:church/reloadprayer

## アビリティ
execute as @a[nbt={Inventory:[{components:{"minecraft:custom_data":{item:1b,emerald:1b}}}]}] at @s run function ingame:ability/0.main

# 信者のヴァンパイア確認
execute as @a[nbt={Inventory:[{components:{"minecraft:custom_data":{item:1b,believer_paper:1b}}}]}] at @s run function ingame:ability/believer

## パッシブ
# 霊媒
execute as @a[tag=death] at @e[type=armor_stand,tag=cadaver] if score @s job = @e[type=armor_stand,tag=cadaver,limit=1,sort=nearest] cadaver if entity @a[tag=clergyman,distance=..1,tag=!medium] run function ingame:ability/2.clergyman
execute at @e[type=armor_stand,tag=cadaver,tag=medium] if entity @a[tag=clergyman,distance=1..,tag=medium] run tag @e remove medium
execute unless entity @a[tag=clergyman,tag=medium] run tag @e remove medium
# コウモリ化
scoreboard players remove @a[tag=black,scores={bat=1..}] bat 1
execute as @a[tag=black,tag=!bat.charge,tag=!bat.now,scores={bat=0}] run function ingame:ability/3.bat.charge
execute as @a[tag=bat.charge,nbt=!{Inventory:[{Slot:22b,components:{"minecraft:custom_data":{batchenge:1b}}}]}] at @s run function ingame:ability/3.bat.chenge
execute as @a[tag=bat.now,scores={bat=1..}] at @s run function ingame:ability/3.bat.loop
execute as @a[tag=black,tag=bat.now,scores={bat=0}] run function ingame:ability/3.bat.return

## 時間
# 昼夜
execute if score daycycle system matches 1 run function ingame:time/timer
# ダイヤモンド
execute unless score diamonddrop system matches 0 run function ingame:diamond/timer
# 逃走時間
execute if score mode system matches 1 unless score gametime system matches 0 run function ingame:time/runaway

# 脱出
execute positioned 619 -42 -17 as @a[distance=..5,tag=!escape,gamemode=adventure] at @s run function ingame:escape

advancement revoke @a only system:interaction_right